Search Unity

  1. We are migrating the Unity Forums to Unity Discussions by the end of July. Read our announcement for more information and let us know if you have any questions.
    Dismiss Notice
  2. Dismiss Notice

ARKit + 2017.2.0f3 won't build on Windows Editor

Discussion in 'AR' started by Patrick5thWall, Oct 24, 2017.

Thread Status:
Not open for further replies.
  1. Patrick5thWall

    Patrick5thWall

    Joined:
    Dec 12, 2016
    Posts:
    2
    Hey guys,

    I am not sure if this is the right forum for this, but I wanted to know if anyone else is experiencing this issue:

    On a windows machine Unity 2017.2.0f3:
    1. Create a new 3d project
    2. Import the ARKit Plugin from the Asset Store
    3. Switch build platform to iOS
    4. Try to build
    5. Notice Error:
    Now I've tried this also with an earlier version of Unity (2017.1.1f1) and had no problems there.

    Can anyone confirm this issue?
    Is there a workaround?

    Cheers,
    Patrick
     
  2. Patrick5thWall

    Patrick5thWall

    Joined:
    Dec 12, 2016
    Posts:
    2
    Interesting side note - the current beta (Unity 2017.3.0b5) seems to work too.
    I tried also reinstalling the 2017.2 version, but no luck.
    In the meantime also tried it on macOS (HighSierra with same Unity version) won't build there either.
     
  3. m4d

    m4d

    Joined:
    Jan 25, 2012
    Posts:
    27
    Hey Patrick, I'm having the exact same issue right now. Could not find any workarounds either besides downgrading the project to 2017.1.0f3.

    Cheers,
    Chris
     
  4. NOEyiL

    NOEyiL

    Joined:
    Jul 31, 2017
    Posts:
    3
    It‘s same to me.Can anyone solve this?
     
  5. jimmya

    jimmya

    Joined:
    Nov 15, 2016
    Posts:
    793
    Are you guys trying this on macOS editor? I'm having no issues building a scene from latest version of plugin on 2017.2.0f3. Did you maybe not let it upgrade scripts for you when asked?

    High Sierra might have some issues as noted in another thread.
     
  6. Neilsonnn

    Neilsonnn

    Joined:
    Mar 29, 2016
    Posts:
    7
    I just upgraded, getting this error as well
     
  7. m4d

    m4d

    Joined:
    Jan 25, 2012
    Posts:
    27
    As the OP wrote it seems specific to the windows version of the editor. The dreaded PBX Errors in regard to IOS Projects in the Windows Editor are spread around the forum and Stackoverflow with seemingly no viable solution available.
     
  8. jimmya

    jimmya

    Joined:
    Nov 15, 2016
    Posts:
    793
    This is not a supported feature (exporting to iOS from Windows).
     
  9. Fangh

    Fangh

    Joined:
    Apr 19, 2013
    Posts:
    278
    having the same issue with
    Windows 10
    Build Target : Android
    ARFoundation 4.2.2
    ARCore XR Plugin 4.2.2
    ARKit XR Plugin 4.2.2

    Don't have the issue with ARKit XR Plugin 4.1.9
     
Thread Status:
Not open for further replies.